using System;
using System.Collections.Generic;

internal sealed class Delegate49 : MulticastDelegate
{
	public extern string Invoke(string string_0, IEnumerable<string> ienumerable_0);

	public static string smethod_0(string string_0, IEnumerable<string> ienumerable_0, Delegate49 delegate49_1)
	{
		return delegate49_1(string_0, ienumerable_0);
	}

	public extern Delegate49(object object_0, IntPtr intptr_0);

	static Delegate49()
	{
		Class10.smethod_13(typeof(Delegate49).TypeHandle);
	}

	internal static Delegate49 delegate49_0;
}
